package controller

import (
	"github.com/gin-gonic/gin"
	"iot_manager_service/app/service"
	"iot_manager_service/app/utils"
	"net/http"
	"strconv"
)

// 灯控基本信息管理对象
var Light = new(lightCtl)

type lightCtl struct{}

func (c *lightCtl) Detail(ctx *gin.Context) {
	id, e := strconv.Atoi(ctx.Query("id"))
	if e != nil {
		ctx.JSON(http.StatusOK, utils.ParamsInvalidResponse(e.Error(), nil))
		return
	}

	device, err := service.LightControlService.Get(id)
	if err != nil {
		ctx.JSON(http.StatusOK, err)
		return
	}
	ctx.JSON(http.StatusOK, utils.SuccessResponse(utils.Succeeded, device))
}

func (c *lightCtl) List(ctx *gin.Context) {
}

func (c *lightCtl) CreateOrUpdate(ctx *gin.Context) {
}

func (c *lightCtl) Remove(ctx *gin.Context) {
}

func (c *lightCtl) ImportExcel(ctx *gin.Context) {
}

func (c *lightCtl) ExportExcel(ctx *gin.Context) {
}

func (c *lightCtl) ExportTemplate(ctx *gin.Context) {
}

func (c *lightCtl) GetList(ctx *gin.Context) {
}

func (c *lightCtl) Enable(ctx *gin.Context) {
}

func (c *lightCtl) Switch(ctx *gin.Context) {
}
